h1.model-name {
  color: #222;
  text-align: center;
  margin: 140px auto;
}
.no-select {
  user-select: none;
}
div.content-table {
  overflow-x: scroll;
  padding: 0;
}
div.content-table div.options {
  display: flex;
  justify-content: space-around;
  margin-bottom: 20px;
}
div.content-table div.options div.actions button {
  font-family: "zunzun-icons";
  background-color: #222;
  color: #FFF;
  border: none;
  width: 50px;
  height: 50px;
  border-radius: 40px;
  font-size: 26px;
  transition: 1s;
  cursor: pointer;
  margin: 0 3px;
  padding: 0;
}
div.content-table div.options div.actions button:hover {
  width: 60px;
  height: 60px;
  background-color: #FFF;
  color: #222;
}
div.content-table div.options div.order {
  display: flex;
  justify-content: center;
}
div.content-table div.options div.order button {
  border-radius: 0px;
  border-top-left-radius: 40px;
  border-bottom-left-radius: 40px;
  margin: 0;
  font-family: "zunzun-icons";
  background-color: #222;
  color: #FFF;
  border: none;
  width: 50px;
  height: 50px;
  font-size: 26px;
  transition: 1s;
  cursor: pointer;
  padding: 0;
}
div.content-table div.options div.order button:hover {
  width: 60px;
  height: 60px;
  background-color: #FFF;
  color: #222;
}
div.content-table div.options div.order select {
  background-color: #222;
  color: #FFF;
  border: none;
  height: 50px;
  font-size: 18px;
  transition: 1s;
  cursor: pointer;
  padding: 0 15px;
  border-top-right-radius: 40px;
  border-bottom-right-radius: 40px;
  font-family: Lucida Console,Lucida Sans Typewriter,monaco,Bitstream Vera Sans Mono,monospace;
}
div.content-table div.options div.order:hover button {
  width: 60px;
  height: 60px;
  background-color: #FFF;
  color: #222;
}
div.content-table div.options div.order:hover select {
  height: 60px;
  background-color: #FFF;
  color: #222;
}
div.content-table div.flyhtml-table {
  display: flex;
  width: max-content;
  width: 100%;
}
div.content-table div.flyhtml-table div.wrap {
  display: flex;
  overflow-x: auto;
  width: calc(100vw - 162px);
}
div.content-table div.flyhtml-table div.column {
  flex-shrink: 0;
  min-width: 16px;
  overflow-x: hidden;
}
div.content-table div.flyhtml-table div.column div.th {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
div.content-table div.flyhtml-table div.column div.th div.resize {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 10px;
  height: 10px;
  background: linear-gradient(to bottom right, #fff0 0%, #fff0 50%, #fff 50%, #fff 100%);
  cursor: ew-resize;
}
div.content-table div.flyhtml-table div.column.option {
  width: 54px;
  min-width: 54px;
}
div.content-table div.flyhtml-table div.column.option div.th {
  font-family: "zunzun-icons";
  font-size: 22px;
}
div.content-table div.flyhtml-table div.column.option div.td {
  display: flex;
  align-items: center;
  justify-content: center;
}
div.content-table div.flyhtml-table div.column.option div.td button {
  font-family: "zunzun-icons";
  background-color: #222;
  color: #FFF;
  border: none;
  width: 26px;
  height: 26px;
  border-radius: 40px;
  font-size: 16px;
  transition: 1s;
  cursor: pointer;
  margin: 0 3px;
  padding: 0;
}
div.content-table div.flyhtml-table div.column.option div.td button:hover {
  width: 32px;
  height: 32px;
  background-color: #FFF;
  color: #222;
}
div.content-table div.flyhtml-table div.column.text,
div.content-table div.flyhtml-table div.column.int,
div.content-table div.flyhtml-table div.column.media,
div.content-table div.flyhtml-table div.column.date-time {
  flex-grow: 0;
  flex-shrink: 0;
}
div.content-table div.flyhtml-table div.column.media {
  width: 100px;
}
div.content-table div.flyhtml-table div.column.date-time {
  width: 275px;
}
div.content-table div.flyhtml-table div.column div.th,
div.content-table div.flyhtml-table div.column div.td {
  border: 1px solid #333;
  height: 16px;
  margin: 2px 0;
}
div.content-table div.flyhtml-table div.column div.th {
  width: calc(100% - 4px);
  padding: 10px 0px;
  background-color: #222;
  color: #FFF;
  overflow: hidden;
}
div.content-table div.flyhtml-table div.column div.td {
  width: calc(100% - 12px);
  padding: 2px 4px;
  min-height: 32px;
  max-height: 100px;
  overflow-y: auto;
}
div.content-table div.tr {
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: fit-content;
}
div.content-table div.tr div.th,
div.content-table div.tr div.td {
  width: 200px;
  height: 60px;
  padding: 10px 20px;
  border: 1px solid #333;
  margin: 2px;
  display: flex;
  justify-content: space-around;
  align-items: center;
  overflow-y: auto;
}
div.content-table div.tr div.th.int,
div.content-table div.tr div.td.int,
div.content-table div.tr div.th.boolean,
div.content-table div.tr div.td.boolean {
  width: 100px;
}
div.content-table div.tr div.th.options,
div.content-table div.tr div.td.options {
  width: 260px;
}
div.content-table div.tr div.th.uuid,
div.content-table div.tr div.td.uuid,
div.content-table div.tr div.th.text,
div.content-table div.tr div.td.text,
div.content-table div.tr div.th.media,
div.content-table div.tr div.td.media {
  width: 200px;
}
div.content-table div.tr div.th {
  background-color: #222;
  color: #FFF;
  height: 80px;
}
div.content-table div.tr div.td {
  transition: 1s;
}
div.content-table div.tr div.td.options div {
  font-family: "zunzun-icons";
  font-size: 42px;
  cursor: pointer;
  width: 60px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  background-color: #222;
  border-radius: 60px;
  color: #FFF;
  transition: 1s;
  margin: 0 10px;
}
div.content-table div.tr div.td.options div:hover {
  width: 80px;
  height: 80px;
  line-height: 80px;
  background-color: #FFF;
  color: #222;
}
#new-item-opt {
  width: 100%;
  max-width: 700px;
  text-align: center;
  background-color: #222;
  padding: 20px 0;
  color: #FFF;
  margin: 100px auto;
  border-radius: 100px;
  font-size: 20px;
  cursor: pointer;
  transition: 1s;
}
#new-item-opt:hover {
  color: #000;
  background-color: #FFF;
  padding: 40px 20px;
}
div.row-editor {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #FFF;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
}
div.row-editor div.editor-header {
  width: 100%;
}
div.row-editor div.editor-header div.close-editor {
  position: fixed;
  top: 15px;
  left: 15px;
  width: 60px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  background-color: #222;
  border-radius: 50px;
  color: #FFF;
  transition: 1s;
  cursor: pointer;
  font-family: "zunzun-icons";
  font-size: 42px;
}
div.row-editor div.editor-header div.close-editor:hover {
  width: 80px;
  height: 80px;
  line-height: 80px;
  top: 5px;
  right: 5px;
  color: #000;
  background-color: #FFF;
}
div.row-editor div.editor-inputs-wrap {
  width: 100%;
  height: 100%;
  overflow-y: auto;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs {
  margin: 0 auto;
  width: 100%;
  max-width: 960px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
  padding: 0;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.ilang-select {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.ilang-select h3,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.ilang-select select {
  margin: 10px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.multilang-input {
  width: 100%;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.num-input {
  display: flex;
  align-items: center;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.num-input input {
  -webkit-appearance: none;
  -moz-appearance: textfield;
  margin: 0;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.num-input div.label {
  padding: 0 40px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.num-input div.num-input-ctl div {
  width: 22px;
  text-align: center;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=text],
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=password],
div.row-editor div.editor-inputs-wrap div.editor-inputs textarea,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap {
  width: calc(100% - 46px);
  margin: 20px 0;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=text],
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=number],
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=password],
div.row-editor div.editor-inputs-wrap div.editor-inputs textarea,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=submit],
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input,
div.row-editor div.editor-inputs-wrap div.editor-inputs select {
  background-color: #222;
  padding: 10px 20px;
  border: 3px solid #444;
  color: #FFF;
  font-size: 18px;
  transition: 1s;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=text]:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=number]:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=password]:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs textarea:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=submit]:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs select:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=text]:focus,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=number]:focus,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=password]:focus,
div.row-editor div.editor-inputs-wrap div.editor-inputs textarea:focus,
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=submit]:focus,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input:focus,
div.row-editor div.editor-inputs-wrap div.editor-inputs select:focus {
  padding: 20px 20px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=text].select-media {
  width: 200px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs textarea,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input {
  min-height: 160px;
  resize: vertical;
  overflow-y: auto;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs input[type=submit] {
  margin: 20px 0;
  width: 100%;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap {
  width: 100%;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap.wide {
  width: 100vw;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap.wide div.rich-text-input {
  width: calc(100vw - 42px);
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap.full {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0;
  background-color: #FFF;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap.full div.rich-text-input {
  height: calc(100vh - 64px);
  resize: none;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap.full div.rich-text-input:hover,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap.full div.rich-text-input:focus {
  padding: 10px 20px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-editor-controls {
  padding: 5px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  width: 700px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-editor-controls div.rec-section {
  padding: 0 5px;
  display: flex;
  align-items: center;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-editor-controls div.rec-section div.rec-option {
  border-radius: 3px;
  width: 45px;
  height: 45px;
  line-height: 45px;
  border-radius: 30px;
  margin: 2px;
  font-size: 34px;
  cursor: pointer;
  font-family: "rich-text-icons";
  text-align: center;
  color: #FFF;
  background-color: #222;
  transition: 1s;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-editor-controls div.rec-section div.rec-option:hover {
  width: 52px;
  height: 52px;
  line-height: 52px;
  color: #222;
  background-color: #FFF;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input a,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input a:visited,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input a:active {
  color: #FFF;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div {
  min-width: 60px;
  min-height: 30px;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left.left,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter.left,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right.left,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top.left,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter.left,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom.left {
  align-items: start;
  text-align: left;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left.hcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter.hcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right.hcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top.hcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter.hcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom.hcenter {
  align-items: center;
  text-align: center;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left.right,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter.right,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right.right,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top.right,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter.right,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom.right {
  align-items: end;
  text-align: right;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left.top,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter.top,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right.top,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top.top,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter.top,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom.top {
  justify-content: start;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left.vcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter.vcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right.vcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top.vcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter.vcenter,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom.vcenter {
  justify-content: center;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left.bottom,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter.bottom,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right.bottom,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top.bottom,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter.bottom,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom.bottom {
  justify-content: end;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).left div,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).hcenter div,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).right div,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).top div,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).vcenter div,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.align-div:not(.resize-media).bottom div {
  flex: 0 0 auto;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.table {
  display: flex;
  flex-direction: column;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.table div.tr {
  display: flex;
  align-items: center;
  overflow-y: auto;
  resize: vertical;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.table div.tr div.td {
  overflow-x: auto;
  resize: horizontal;
  outline: #222 solid 1px;
  border: 1px solid #FFF;
  min-height: 30px;
  min-width: 60px;
  height: calc(100% - 4px);
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.table div.tr div.td div:not(.resize-media) {
  min-width: 60px;
  min-height: 30px;
  height: fit-content;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.resize-media {
  overflow: auto;
  resize: both;
  outline: #222 solid 1px;
  border: 1px solid #FFF;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.resize-media img,
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input div.resize-media video {
  max-height: 100%;
  width: auto;
  max-width: 100%;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input code {
  background-color: #FFF;
  color: #222;
}
div.row-editor div.editor-inputs-wrap div.editor-inputs div.rich-text-wrap div.rich-text-input code div {
  background-color: #FFF;
  color: #222;
}
div.select-grid-div {
  background-color: white;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  overflow-y: auto;
}
div.select-grid-div button.submit {
  position: fixed;
  bottom: 50px;
  right: 50px;
}
div.select-grid-div button.submit,
div.select-grid-div button.close {
  background-color: #222;
  padding: 0px 20px;
  border: 1px solid #222;
  color: #FFF;
  font-size: 18px;
  border-radius: 15px;
  cursor: pointer;
  transition: 1s;
  margin: 5px 10px;
  height: 50px;
  line-height: 50px;
  border-radius: 40px;
}
div.select-grid-div button.submit:hover,
div.select-grid-div button.close:hover,
div.select-grid-div button.submit:focus,
div.select-grid-div button.close:focus {
  padding: 0px 25px;
  height: 60px;
  line-height: 60px;
  background-color: #FFF;
  color: #222;
  border: 1px solid #FFF;
}
div.select-grid-div div.select-grid-upload {
  display: flex;
  align-items: center;
  width: fit-content;
  max-width: 1026px;
}
div.select-grid-div div.select-grid-upload label,
div.select-grid-div div.select-grid-upload input[type=submit] {
  background-color: #222;
  padding: 0px 20px;
  border: 1px solid #222;
  color: #FFF;
  font-size: 18px;
  border-radius: 15px;
  cursor: pointer;
  transition: 1s;
  margin: 5px 10px;
  height: 50px;
  line-height: 50px;
  border-radius: 40px;
}
div.select-grid-div div.select-grid-upload label:hover,
div.select-grid-div div.select-grid-upload input[type=submit]:hover,
div.select-grid-div div.select-grid-upload label:focus,
div.select-grid-div div.select-grid-upload input[type=submit]:focus {
  padding: 0px 25px;
  height: 60px;
  line-height: 60px;
  background-color: #FFF;
  color: #222;
  border: 1px solid #FFF;
}
div.select-grid-div div.select-grid-upload input[type=file] {
  display: none;
}
div.select-grid-div div.select-grid-upload div.selected-files {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  border: 1px solid #222;
  max-width: 620px;
  max-height: 84px;
  overflow-y: auto;
  border-radius: 18px;
}
div.select-grid-div div.select-grid-upload div.selected-files div {
  margin: 1px;
  background-color: #222;
  color: #FFF;
  border-radius: 30px;
  padding: 5px 15px;
}
div.select-grid-div div.select-grid-upload input[type=submit] {
  font-family: Lucida Console,Lucida Sans Typewriter,monaco,Bitstream Vera Sans Mono,monospace;
}
div.select-grid-div div.select-grid-upload input[type=submit]:disabled {
  background-color: #FFF;
  color: #222;
  cursor: default;
}
div.select-grid-div div.select-grid-close,
div.select-grid-div div.select-grid-submit {
  width: 60px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  background-color: #222;
  border-radius: 50px;
  color: #FFF;
  transition: 1s;
  cursor: pointer;
  font-family: "zunzun-icons";
  font-size: 42px;
  margin: 15px;
}
div.select-grid-div div.select-grid-close:hover,
div.select-grid-div div.select-grid-submit:hover {
  width: 80px;
  height: 80px;
  line-height: 80px;
  margin: 5px;
  color: #000;
  background-color: #FFF;
}
div.select-grid-div div.select-grid {
  width: 100vw;
  overflow-y: auto;
  height: calc(100% - 90px);
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
div.select-grid-div div.select-grid div.select-media-item {
  color: #222;
  width: 320px;
  height: 320px;
  margin: 10px;
  border: 1px solid #222;
  transition: 1s;
  cursor: pointer;
  display: flex;
  align-items: start;
  justify-content: center;
  flex-wrap: wrap;
}
div.select-grid-div div.select-grid div.select-media-item div.media-item-header {
  width: 100%;
  margin: 10px;
  text-align: center;
  overflow: hidden;
}
div.select-grid-div div.select-grid div.select-media-item img,
div.select-grid-div div.select-grid div.select-media-item video {
  max-width: calc(100%);
  max-height: calc(100% - 42px);
}
div.select-grid-div div.select-grid div.select-media-item:hover {
  width: 360px;
  height: 360px;
}
div.select-grid-div div.select-grid div.select-media-item.selected {
  background-color: #222;
  color: #FFF;
}
